Package com.plannaplan

# Class Logo

java.lang.Object
com.plannaplan.Logo

    public class Logo
    extends java.lang.Object

Class to generate logo string on start application and make logs info

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `ANSI_BLACK` |
`static java.lang.String` | `ANSI_BLUE` |
`static java.lang.String` | `ANSI_RESET` |
`static java.lang.String` | `ANSI_YELLOW` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Logo​(java.lang.String version)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static java.lang.String` | `getInitInfo​(boolean isDev)` | return init string to log
`java.lang.String` | `getLogo()` |
`static java.lang.String` | `getStartedInfo​(boolean isDev)` | return start string to log

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ANSI_RESET

public static final java.lang.String ANSI_RESET

See Also:
  Constant Field Values

### ANSI_YELLOW

public static final java.lang.String ANSI_YELLOW

See Also:
  Constant Field Values

### ANSI_BLUE

public static final java.lang.String ANSI_BLUE

See Also:
  Constant Field Values

### ANSI_BLACK

public static final java.lang.String ANSI_BLACK

See Also:
  Constant Field Values

## Constructor Details

### Logo

public Logo​(java.lang.String version)

## Method Details

### getLogo

public java.lang.String getLogo()

### getInitInfo

public static java.lang.String getInitInfo​(boolean isDev)
return init string to log

Parameters:
  `isDev` - is spring profile dev
Returns:
  string to print in log

### getStartedInfo

public static java.lang.String getStartedInfo​(boolean isDev)
return start string to log

Parameters:
  `isDev` - is spring profile dev
Returns:
  string to print in log